summaryrefslogtreecommitdiffstats
path: root/29/fpm-alpine/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to '29/fpm-alpine/entrypoint.sh')
-rwxr-xr-x29/fpm-alpine/entrypoint.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/29/fpm-alpine/entrypoint.sh b/29/fpm-alpine/entrypoint.sh
index 541971c6..1c60984c 100755
--- a/29/fpm-alpine/entrypoint.sh
+++ b/29/fpm-alpine/entrypoint.sh
@@ -276,6 +276,17 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+ # warn if config files on persistent storage differ from the latest version of this image
+ for cfgPath in /usr/src/nextcloud/config/*.php; do
+ cfgFile=$(basename "$cfgPath")
+
+ if [ "$cfgFile" != "config.sample.php" ]; then
+ if ! cmp -s "/usr/src/nextcloud/config/$cfgFile" "/var/www/html/config/$cfgFile"; then
+ echo "Warning: /var/www/html/config/$cfgFile differs from the latest version of this image at /usr/src/nextcloud/config/$cfgFile"
+ fi
+ fi
+ done
+
run_path before-starting
fi